@import "@/styles/variables";

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 2000px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(0deg, rgb(0 51 102 / 8%), rgb(0 51 102 / 8%)), #fff;
    opacity: 0.7;
    z-index: 500;
    backdrop-filter: blur(10px);
}

.modal {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: $white;
    padding: 1.25rem;
    width: calc(100vw - 18px);
    z-index: 1000;
    display: grid;
    gap: 2rem;

    @include card-shadow;

    @include tablet {
        width: 75%;
        gap: 2rem;
    }

    @include notebook {
        position: fixed;
        top: 50%;
        width: 65%;
        padding: 3.5rem 3.5rem 4rem;
    }

    &__header {
        display: flex;
        flex-direction: row-reverse;
        justify-content: space-between;

        @include notebook {
            @include col;
        }
    }

    &__close-button {
        font-size: 1.6rem;
        line-height: 1.2rem;

        @include notebook {
            align-self: flex-end;
            justify-self: flex-end;
            margin-top: 0;
            margin-right: 0;
            position: relative;
            top: -2rem;
            right: -2rem;
        }
    }

    &__title {
        @include col;

        align-self: flex-start;
    }

    &__header-warning {
        font-family: $primary-font-regular;
        font-size: $fs-p;
        line-height: 200%;
        color: $gray-dark;

        @include tablet {
            line-height: 280%;
        }
    }

    &__header-subtext {
        font-family: $primary-font-regular;
        font-size: $fs-h4-mobile;
        font-weight: 400;
        color: $gray-dark;

        &::before {
            @include dash-content;

            padding: 0 0.5rem;
        }

        @include tablet {
            font-size: $fs-h4-tablet;
        }

        @include desktop {
            font-size: $fs-h4-desktop;
        }
    }

    &__body {
        display: grid;
        gap: 2rem;
    }

    .screenreader-text {
        visibility: hidden;
        display: none;
    }
}
